Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2509883002: Select-to-speak extension code (Closed)

Created:
3 years, 8 months ago by dmazzoni
Modified:
3 years, 8 months ago
Reviewers:
David Tseng, Dan Beam
CC:
chromium-reviews, alemate+watch_chromium.org, arv+watch_chromium.org, oshima+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Select-to-speak extension code This is an initial implementation of Select-to-speak. Given mouse events that are "captured" - currently by holding down Search - it draws a box around the area the user selects, and then speaks everything within that box based on its accessible name. This is not meant to be a final, complete implementation, just a good starting point to begin experimenting. Depends on: https://codereview.chromium.org/2493923002/ BUG=593887 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Committed: https://crrev.com/e6dd62f781641b4fa8e19d38f2ed04547ee5f4a2 Cr-Commit-Position: refs/heads/master@{#435555}

Patch Set 1 #

Total comments: 28

Patch Set 2 : Address feedback, enable closure compilation #

Patch Set 3 : Add missing extern #

Total comments: 1

Patch Set 4 : Added unit test fixture #

Total comments: 2

Patch Set 5 : Fix typo in annotation #

Patch Set 6 : Improve @private syntax #

Unified diffs Side-by-side diffs Delta from patch set Stats (+473 lines, -710 lines) Patch
M chrome/browser/resources/chromeos/chromevox/common/chrome_extension_externs.js View 1 2 3 1 chunk +0 lines, -678 lines 0 comments Download
A chrome/browser/resources/chromeos/chromevox/common/compiled_resources2.gyp View 1 1 chunk +11 lines, -0 lines 0 comments Download
M chrome/browser/resources/chromeos/chromevox/tools/check_chromevox.py View 1 2 chunks +8 lines, -3 lines 0 comments Download
M chrome/browser/resources/chromeos/select_to_speak/BUILD.gn View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/resources/chromeos/select_to_speak/background.js View 1 1 chunk +0 lines, -3 lines 0 comments Download
A chrome/browser/resources/chromeos/select_to_speak/compiled_resources2.gyp View 1 1 chunk +16 lines, -0 lines 0 comments Download
M chrome/browser/resources/chromeos/select_to_speak/manifest.json.jinja2 View 1 1 chunk +3 lines, -2 lines 0 comments Download
A chrome/browser/resources/chromeos/select_to_speak/select_to_speak.js View 1 2 3 4 5 1 chunk +212 lines, -0 lines 0 comments Download
A chrome/browser/resources/chromeos/select_to_speak/select_to_speak_unittest.gtestjs View 1 2 3 1 chunk +55 lines, -0 lines 0 comments Download
A chrome/browser/resources/chromeos/select_to_speak/test_support.js View 1 2 3 4 1 chunk +15 lines, -0 lines 0 comments Download
M chrome/common/extensions/api/automation.idl View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/test/BUILD.gn View 1 2 3 1 chunk +9 lines, -3 lines 0 comments Download
M third_party/closure_compiler/compiled_resources2.gyp View 1 1 chunk +1 line, -0 lines 0 comments Download
A third_party/closure_compiler/externs/accessibility_private.js View 1 2 1 chunk +108 lines, -0 lines 0 comments Download
A + third_party/closure_compiler/externs/automation.js View 1 2 3 4 chunks +25 lines, -19 lines 0 comments Download
M third_party/closure_compiler/externs/compiled_resources2.gyp View 1 1 chunk +8 lines, -0 lines 0 comments Download

Messages

Total messages: 41 (27 generated)
dmazzoni
3 years, 8 months ago (2016-11-16 22:32:29 UTC) #4
dmazzoni
Friendly ping
3 years, 8 months ago (2016-11-22 17:51:18 UTC) #8
David Tseng
https://codereview.chromium.org/2509883002/diff/1/chrome/browser/resources/chromeos/select_to_speak/background.js File chrome/browser/resources/chromeos/select_to_speak/background.js (right): https://codereview.chromium.org/2509883002/diff/1/chrome/browser/resources/chromeos/select_to_speak/background.js#newcode8 chrome/browser/resources/chromeos/select_to_speak/background.js:8: * @constructor Are you planning on compiling this file ...
3 years, 8 months ago (2016-11-22 19:01:10 UTC) #9
dmazzoni
https://codereview.chromium.org/2509883002/diff/1/chrome/browser/resources/chromeos/select_to_speak/background.js File chrome/browser/resources/chromeos/select_to_speak/background.js (right): https://codereview.chromium.org/2509883002/diff/1/chrome/browser/resources/chromeos/select_to_speak/background.js#newcode8 chrome/browser/resources/chromeos/select_to_speak/background.js:8: * @constructor On 2016/11/22 19:01:09, David Tseng wrote: > ...
3 years, 8 months ago (2016-11-28 18:51:13 UTC) #10
David Tseng
https://codereview.chromium.org/2509883002/diff/40001/chrome/browser/resources/chromeos/select_to_speak/compiled_resources2.gyp File chrome/browser/resources/chromeos/select_to_speak/compiled_resources2.gyp (right): https://codereview.chromium.org/2509883002/diff/40001/chrome/browser/resources/chromeos/select_to_speak/compiled_resources2.gyp#newcode7 chrome/browser/resources/chromeos/select_to_speak/compiled_resources2.gyp:7: 'target_name': 'select_to_speak', cAN YOU ADD A TEST TARGET AS ...
3 years, 8 months ago (2016-11-29 18:11:36 UTC) #19
dmazzoni
Done, I added a unit test - but note that the unit test is referenced ...
3 years, 8 months ago (2016-11-30 22:37:30 UTC) #22
David Tseng
lgtm
3 years, 8 months ago (2016-11-30 23:44:32 UTC) #25
dmazzoni
+dbeam for third_party/closure_compiler
3 years, 8 months ago (2016-11-30 23:51:11 UTC) #27
Dan Beam
lgtm sweet!
3 years, 8 months ago (2016-11-30 23:57:32 UTC) #28
Dan Beam
https://codereview.chromium.org/2509883002/diff/60001/chrome/browser/resources/chromeos/select_to_speak/select_to_speak.js File chrome/browser/resources/chromeos/select_to_speak/select_to_speak.js (right): https://codereview.chromium.org/2509883002/diff/60001/chrome/browser/resources/chromeos/select_to_speak/select_to_speak.js#newcode55 chrome/browser/resources/chromeos/select_to_speak/select_to_speak.js:55: /** @type { boolean } @prinivate */ @private {boolean}
3 years, 8 months ago (2016-11-30 23:58:41 UTC) #29
dmazzoni
https://codereview.chromium.org/2509883002/diff/60001/chrome/browser/resources/chromeos/select_to_speak/select_to_speak.js File chrome/browser/resources/chromeos/select_to_speak/select_to_speak.js (right): https://codereview.chromium.org/2509883002/diff/60001/chrome/browser/resources/chromeos/select_to_speak/select_to_speak.js#newcode55 chrome/browser/resources/chromeos/select_to_speak/select_to_speak.js:55: /** @type { boolean } @prinivate */ On 2016/11/30 ...
3 years, 8 months ago (2016-12-01 04:10:33 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2509883002/100001
3 years, 8 months ago (2016-12-01 04:11:23 UTC) #37
commit-bot: I haz the power
Committed patchset #6 (id:100001)
3 years, 8 months ago (2016-12-01 05:03:37 UTC) #39
commit-bot: I haz the power
3 years, 8 months ago (2016-12-01 05:08:08 UTC) #41
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/e6dd62f781641b4fa8e19d38f2ed04547ee5f4a2
Cr-Commit-Position: refs/heads/master@{#435555}

Powered by Google App Engine
This is Rietveld 408576698